#include <bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

	string s;
    cin >> s;
    s+="0";
    int a[s.length()];
    for (int i=0; i<s.length();i++) {
        a[i]=0;
    }
    for (int i=1; i<s.length(); i++) {
        if (s[i-1]>s[i]) {
            a[i]=1;
        }
    }
    int q, l, r;
    cin >> q;
    while (q--) {
        cin >> l >> r;
        int k;
        int x=1;
        for (int i=l; i<r; i++) {
            x+=a[i];
        }
        cout << x << endl;
    }


}